For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETFeature switches
      • GETRetrieve PDS
      • GETRetrieve PDS V2
      • GETRetrieve PDS metadata
      • GETRetrieve PDS metadata V2
      • GETTender types
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIInsurance Contract

Retrieve PDS

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/insuranceContract/:insuranceContractId/pds
GET
/products/v1/:brandCode/insuranceContract/:insuranceContractId/pds
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/insuranceContract/1000000/pds \
> -H "Authorization: Bearer <token>"

Retrieves the Product Disclosure Statement document for an insurance contract. The document is returned in the requested format (HTML or PDF)

Was this page helpful?
Previous

Retrieve PDS V2

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:
insuranceContractIdlongRequiredDefaults to 0

Query parameters

languageCodestringOptional

A language code (eg ‘en’)

preferredDocumentFileTypeenumOptionalDefaults to HTML
Allowed values:
countryCodestringOptional
provinceCodestringOptional

A Province/State code, for cases where the PDS varies by jurisdiction

planIdlongOptionalDefaults to 0

A valid planId (see /v1/{brandcode}/plans)